当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 13 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 为什么有时。/configure不能用
帖子发表于 : 2008-12-02 16:15 

注册: 2008-12-02 16:09
帖子: 17
送出感谢: 0 次
接收感谢: 0 次
./configure
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for gawk... no
checking for mawk... mawk
checking whether make sets $(MAKE)... yes
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.19... yes
checking for a Python interpreter with version >= 2.5... python
checking for python... /usr/bin/python
checking for python version... 2.5
checking for python platform... linux2
checking for python script directory... ${prefix}/lib/python2.5/site-packages
checking for python extension module directory... ${exec_prefix}/lib/python2.5/site-packages
checking for TWEAK... configure: error: Package requirements (gtk+-2.0 >= 2.10
pygtk-2.0 >= 2.10
pygobject-2.0 >= 2.10
gnome-python-2.0 >= 2.10
) were not met:

No package 'gtk+-2.0' found
No package 'pygtk-2.0' found
No package 'pygobject-2.0' found
No package 'gnome-python-2.0' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables TWEAK_CFLAGS
and TWEAK_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 为什么有时。/configure不能用
帖子发表于 : 2008-12-02 16:27 

注册: 2008-12-02 16:09
帖子: 17
送出感谢: 0 次
接收感谢: 0 次
:em20 有人吗


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 为什么有时。/configure不能用
帖子发表于 : 2008-12-02 16:28 

注册: 2008-12-02 16:09
帖子: 17
送出感谢: 0 次
接收感谢: 0 次
大哥 帮下忙阿 :em20


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 为什么有时。/configure不能用
帖子发表于 : 2008-12-02 16:31 
头像

注册: 2007-12-09 14:35
帖子: 1230
送出感谢: 0 次
接收感谢: 0 次
./configure就是检查编译环境 依赖是否满足的,不满足则通不过,看看要什么就给他装什么了 :em06


_________________
Linux is for human being,love is for human making


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 为什么有时。/configure不能用
帖子发表于 : 2008-12-02 16:37 

注册: 2008-12-02 16:09
帖子: 17
送出感谢: 0 次
接收感谢: 0 次
Terpineol 写道:
./configure就是检查编译环境 依赖是否满足的,不满足则通不过,看看要什么就给他装什么了 :em06

那我得装
'gtk+-2.0'
'pygtk-2.0'
'pygobject-2.0'
'gnome-python-2.0'
吗,它的源在哪阿


页首
 用户资料  
 
6 楼 
 文章标题 : Re: 为什么有时。/configure不能用
帖子发表于 : 2008-12-02 16:41 
头像

注册: 2007-02-02 18:14
帖子: 30702
系统: debian sid
送出感谢: 1
接收感谢: 34
不是这样子的,你要看那个readme文件,一般的依赖源里面都有的,但是也要看你装的是什么,一般readme文件会详细说明的


_________________
醉了星星,醉月亮●●●●●The Long Way To Go(*^_^*)


页首
 用户资料  
 
7 楼 
 文章标题 : Re: 为什么有时。/configure不能用
帖子发表于 : 2008-12-02 16:45 

注册: 2008-12-02 16:09
帖子: 17
送出感谢: 0 次
接收感谢: 0 次
leeaman 写道:
不是这样子的,你要看那个readme文件,一般的依赖源里面都有的,但是也要看你装的是什么,一般readme文件会详细说明的

这样。。。我看看 ,原来不是。/configure就行的 阿


页首
 用户资料  
 
8 楼 
 文章标题 : Re: 为什么有时。/configure不能用
帖子发表于 : 2008-12-02 16:49 

注册: 2008-12-02 16:09
帖子: 17
送出感谢: 0 次
接收感谢: 0 次
leeaman 写道:
不是这样子的,你要看那个readme文件,一般的依赖源里面都有的,但是也要看你装的是什么,一般readme文件会详细说明的

代码:
Ubuntu Tweak



Description
===========

Ubuntu Tweak is a GTK+ based application for users to configure system options and settings of Ubuntu, as well as many other applications.


License
==========
This program is released under the GNU General Public License (GPL) version 2, see the file 'COPYING' for more information.


History
=========
C Version of Ubuntu Tweak:
2007-07-19      Codename "Cyrix"
2007-09-09      Ubuntu Tweak 0.1.2
2007-09-23      Ubuntu Tweak 0.1.4
2007-11-10      Ubuntu Tweak 0.2.0
2007-11-20      Ubuntu Tweak 0.2.1
2007-11-23      Ubuntu Tweak 0.2.2(Not a public release)

Python version of Ubuntu Tweak
2007-11-25      START
2007-12-12      Ubuntu Tweak 0.2.4 Beta1
2007-12-15      Ubuntu Tweak 0.2.4
2008-01-22      Ubuntu Tweak 0.2.5
2008-02-04      Ubuntu Tweak 0.2.6
2008-02-26      Ubuntu Tweak 0.2.7
2008-03-06      Ubuntu Tweak 0.2.8
2008-03-12      Ubuntu Tweak 0.2.10
2008-04-30      Ubuntu Tweak 0.3.0
2008-05-07      Ubuntu Tweak 0.3.1
2008-06-05      Ubuntu Tweak 0.3.2
2008-07-03      Ubuntu Tweak 0.3.4

这是那个readme,好像没用 阿


页首
 用户资料  
 
9 楼 
 文章标题 : Re: 为什么有时。/configure不能用
帖子发表于 : 2008-12-02 16:51 
头像

注册: 2007-02-02 18:14
帖子: 30702
系统: debian sid
送出感谢: 1
接收感谢: 34
http://code.google.com/p/ubuntu-tweak/

去下载deb包就可以了,想学编译多看看书 wiki吧


_________________
醉了星星,醉月亮●●●●●The Long Way To Go(*^_^*)


页首
 用户资料  
 
10 楼 
 文章标题 : Re: 为什么有时。/configure不能用
帖子发表于 : 2008-12-02 16:53 
头像

注册: 2006-04-12 20:05
帖子: 8495
地址: 杭州
送出感谢: 0 次
接收感谢: 8
Ubuntu Tweak 有个源的,加了以后用 apt 装吧,可以自动处理依赖问题,而且以后可以保持更新


_________________
关注我的blog: ε==3


页首
 用户资料  
 
11 楼 
 文章标题 : Re: 为什么有时。/configure不能用
帖子发表于 : 2008-12-02 16:57 

注册: 2008-12-02 16:09
帖子: 17
送出感谢: 0 次
接收感谢: 0 次
leeaman 写道:
http://code.google.com/p/ubuntu-tweak/

去下载deb包就可以了,想学编译多看看书 wiki吧

多谢了,我刚用ubuntu,有很多问题,以后就好了,呵呵


页首
 用户资料  
 
12 楼 
 文章标题 : Re: 为什么有时。/configure不能用
帖子发表于 : 2008-12-02 16:59 

注册: 2008-12-02 16:09
帖子: 17
送出感谢: 0 次
接收感谢: 0 次
bones7456 写道:
Ubuntu Tweak 有个源的,加了以后用 apt 装吧,可以自动处理依赖问题,而且以后可以保持更新

多谢了,呵呵 :em01


页首
 用户资料  
 
13 楼 
 文章标题 : Re: 为什么有时。/configure不能用
帖子发表于 : 2009-07-04 23:44 

注册: 2009-05-25 23:26
帖子: 8
送出感谢: 0 次
接收感谢: 0 次
sudo apt-get install python-gnome2-dev
sudo apt-get install python-gtk2-dev
sudo apt-get install libgtk2.0-dev

就可以把所缺的几个包都安装上去,再运行./configure可以通过


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 13 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译